Bug 1293694 - Review Request: byte-buddy - Runtime code generation for the Java virtual machine
Summary: Review Request: byte-buddy - Runtime code generation for the Java virtual mac...
Status: CLOSED DUPLICATE of bug 1655697
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Nobody's working on this, feel free to take it
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2015-12-22 17:47 UTC by gil cattaneo
Modified: 2018-12-04 13:55 UTC (History)
4 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2018-12-04 11:43:38 UTC


Attachments (Terms of Use)
update version, optional benchmark (1.60 KB, patch)
2017-06-05 06:02 UTC, Raphael Groner
no flags Details | Diff

Description gil cattaneo 2015-12-22 17:47:17 UTC
Spec URL: https://gil.fedorapeople.org/byte-buddy.spec
SRPM URL: https://gil.fedorapeople.org/byte-buddy-0.7.7-1.fc23.src.rpm
Description:
Byte Buddy is a code generation library for creating Java classes during the
runtime of a Java application and without the help of a compiler. Other than
the code generation utilities that ship with the Java Class Library, Byte Buddy
allows the creation of arbitrary classes and is not limited to implementing
interfaces for the creation of runtime proxies.

Fedora Account System Username: gil

Task info: http://koji.fedoraproject.org/koji/taskinfo?taskID=12288448

mockito v2.0+ BuildRequires

Comment 2 gil cattaneo 2016-05-25 17:56:53 UTC
Task info: http://koji.fedoraproject.org/koji/taskinfo?taskID=14250625

- removed org.codehaus.mojo:clirr-maven-plugin

Comment 3 Raphael Groner 2017-06-05 05:59:08 UTC
Please disable benchmark subpackage or at least make it optional, tests do fail on my poor machine with low performance. Otherwise it would be difficult for me to run official fedora-review.

There are new version series availabe: 1.4, 1.5, 1.6, 1.7 but there's need for junix and lombok as dependencies to build properly, both are not packaged yet.

Comment 4 Raphael Groner 2017-06-05 06:02 UTC
Created attachment 1284896 [details]
update version, optional benchmark

please apply

Comment 5 Raphael Groner 2017-06-05 06:03:34 UTC
Are you interested in a review swap with awaitility? I'm working on a package and it needs byte-buddy.
https://github.com/awaitility/awaitility

Comment 6 gil cattaneo 2017-06-05 18:29:54 UTC
(In reply to Raphael Groner from comment #5)
> Are you interested in a review swap with awaitility? I'm working on a
> package and it needs byte-buddy.
> https://github.com/awaitility/awaitility

sorry, but i (still) have various troubles with F25[1] ... and i cant review or repair[2] anythings



regards

[1] https://lists.fedoraproject.org/archives/list/devel@lists.fedoraproject.org/thread/TWTHAKK6B5RBI5L6RQ2S543KHCGH4GHJ/

[2] https://apps.fedoraproject.org/koschei/user/gil

Comment 7 Raphael Groner 2017-06-05 18:35:12 UTC
No problem. Anyway, I even gave up with awaitility for now due to other reasons.

Comment 8 Raphael Groner 2017-07-13 18:49:50 UTC
awaitility (and so byte-buddy as dependency) is needed for some tests of rabbitmq-java-client version 4.1.1

Comment 9 gil cattaneo 2017-07-24 11:36:09 UTC
(In reply to Raphael Groner from comment #8)
> awaitility (and so byte-buddy as dependency) is needed for some tests of
> rabbitmq-java-client version 4.1.1

if you need this library take the ownership, i no time at the moment and various unresolved problems: https://lists.fedoraproject.org/archives/list/devel@lists.fedoraproject.org/thread/TWTHAKK6B5RBI5L6RQ2S543KHCGH4GHJ/
sorry

Comment 10 Mat Booth 2018-12-04 11:43:38 UTC
I packaged a much newer version of byte-buddy, so this review can be considered superseded by the review in bug 1655697.

*** This bug has been marked as a duplicate of bug 1655697 ***


Note You need to log in before you can comment on or make changes to this bug.